jv.rsrc

## Class PsLicense

- java.lang.Object
- - jv.object.PsObject
  - - jv.rsrc.PsLicense

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, PsUpdateIf

      public final class PsLicense
      extends PsObject
      implements java.awt.event.ActionListener

  All JavaView license information for configuration of the system.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    09.04.07, 1.30 revised (kp) Return value of getLicenseDate() changed to Calendar from Date.
    04.10.06, 1.20 revised (kp) Method getLicenseeInfo() now public.
    26.10.03, 1.10 revised (kp) New method added to get expiration date.
    26.06.03, 1.00 created (kp) Extracted from PsJavaView.

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsLicense()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `static PsAuthorInfo` | `getAuthorInfo()` Get information about current licensee of JavaView using author XML tag.
    `java.util.Calendar` | `getLicenseDate()` Get license expiration date.
    `java.lang.String` | `getLicensee()` Get name of licensee.
    `static PsAuthorInfo` | `getLicenseeInfo()` Get information about current licensee of JavaView using licensee XML tag.
    `java.lang.String` | `getLicenseId()` Get license identification number.
    `java.lang.String` | `getLicenseType()` Get license type.
    `PsXmlSrc` | `getXml()` Fills an XML tree with data from this instance, for example, to print to file.
    `void` | `init()` Initialize and reset license.
    `boolean` | `read(java.lang.String licFile)` Read an XML file and create a tree structure of instances of type `PsXmlNode`.
    `void` | `setXml(PsXmlSrc src)` Fill this instance with data from an XML source, for example, previously read from file.
    `void` | `showInfoPanel()` Show dialog with info panel.
    `boolean` | `update(java.lang.Object object)` Handle update events sent from children or update events.
    `boolean` | `write(java.lang.String licFile)` Write an XML file and create a tree structure of instances of type `PsXmlNode`.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PsLicense

          public PsLicense()

  - ### Method Detail

    - #### init

          public void init()

      Initialize and reset license.
      Overrides:
        `init` in class `PsObject`

    - #### update

          public boolean update(java.lang.Object object)

      Handle update events sent from children or update events.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `object` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### getLicenseeInfo

          public static PsAuthorInfo getLicenseeInfo()

      Get information about current licensee of JavaView using licensee XML tag.

    - #### getAuthorInfo

          public static PsAuthorInfo getAuthorInfo()

      Get information about current licensee of JavaView using author XML tag.

    - #### getLicenseDate

          public final java.util.Calendar getLicenseDate()

      Get license expiration date.
      Version:
        09.04.07, 1.30 revised (kp) Return value of getLicenseDate() changed to Calendar from Date.

    - #### getLicenseId

          public java.lang.String getLicenseId()

      Get license identification number.

    - #### getLicenseType

          public java.lang.String getLicenseType()

      Get license type.

    - #### getLicensee

          public java.lang.String getLicensee()

      Get name of licensee.

    - #### showInfoPanel

          public void showInfoPanel()

      Show dialog with info panel. This method will soon be replaced.

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### read

          public boolean read(java.lang.String licFile)

      Read an XML file and create a tree structure of instances of type `PsXmlNode`.
      Parameters:
        `licFile` - full name of license file
      Returns:
        `true` if loading was successful

    - #### write

          public boolean write(java.lang.String licFile)

      Write an XML file and create a tree structure of instances of type `PsXmlNode`.
      Parameters:
        `licFile` - full name of license file
      Returns:
        `true` if loading was successful

    - #### getXml

          public PsXmlSrc getXml()

      Fills an XML tree with data from this instance, for example, to print to file.
      Returns:
        XML tree filled with data from this instance.

    - #### setXml

          public void setXml(PsXmlSrc src)

      Fill this instance with data from an XML source, for example, previously read from file.
      Parameters:
        `src` - XML source used to fill this instance with data.

"

The software JavaView? is copyright protected. All Rights Reserved.
"